Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 155004 - Error message appears by attempt to insert default value into Java DB
Error message appears by attempt to insert default value into Java DB
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P1 (vote)
: 6.x
Assigned To: _ ahimanikya
issues@db
:
Depends on: 156964
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 10:03 UTC by Roman Mostyka
Modified: 2009-04-08 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-09 10:03:09 UTC
1. Connect to "travel" Java DB and expand it's node.
2. Rightclick "Tables" node and choose "Create Table...".
3. Set table name, column name, set VARCHAR for the column type, set "test" as default value and click "OK".
4. Rightclick created table and choose "View Data...".
5. Press "Insert Record" button, press Ctrl + 1 and click "OK".

Result: Error message appears. I tried with MySQL and everything worked fine. Therefore I closed issue #154926. But for
Java DB the fix doesn't work.
I set P1 since this issue breaks functionality and it breaks functionality on bundled DB.
Comment 1 Roman Mostyka 2008-12-09 10:06:18 UTC
By the way, I have the same result with PostgreSQL. So it's not only about Java DB.
And I see changes from changset for the issue #154926.
Comment 2 _ ahimanikya 2008-12-09 18:59:36 UTC
http://hg.netbeans.org/main/rev/9d1cee67df3c
Comment 3 Quality Engineering 2008-12-10 06:00:00 UTC
Integrated into 'main-golden', will be available in build *200812100201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9d1cee67df3c
User: ahimanikya@netbeans.org
Log: Issue #155004 Error message appears by attempt to insert default value into Java DB
Comment 4 Roman Mostyka 2008-12-10 14:26:51 UTC
Verified with build 081210.
Comment 5 pgebauer 2009-01-05 15:46:26 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/5dc903541060
Comment 6 Roman Mostyka 2009-01-19 11:54:56 UTC
This issue depends on the issue #156964, but issue #156964 is new and can't be fixed according Patch 2 schedule.
So I think that we need to rollback the fix for this issue and move it to a next patch, since we can't verify that the
fix was correctly ported because of the issue #156964.
In Patch 3 we should have fixes for both of these issues.
Comment 7 pgebauer 2009-01-19 13:04:52 UTC
The fix has been rolled back from the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/a8690c9e0c1f
Comment 8 pgebauer 2009-04-08 13:56:02 UTC
The status whiteboard "65fixes4-candidate" has been removed.
At this time our proactive patches for the NetBeans 6.5.x IDE have concluded.

If you own a Sun service plan contract for NetBeans, you may wish to contact
Sun Service http://www.sun.com/contact/support.jsp to request a fix via the
product defect escalation process.

For more information on purchasing a Sun service plan contract for NetBeans,
refer to the service plan item "Sun Software Service Plans (S3P) for Developers"
in the Sun Service table found on our NetBeans Support Resources
page http://www.netbeans.org/kb/support.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo